Skip to main content
GET
Get account WhatsApp templates

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Query Parameters

sender
string[]

List of registered WhatsApp senders numbers separated by comma. Must be in international format.

status
enum<string>[]

List of template statuses, separated by commas.

Available options:
APPROVED,
IN_APPEAL,
PENDING,
REJECTED,
PENDING_DELETION,
DELETED,
REINSTATED,
FLAGGED,
FIRST_PAUSED,
SECOND_PAUSED,
DISABLED,
ARCHIVED,
UNKNOWN
name
string

Template name.

language
enum<string>[]

List of languages for the templates, separated by commas.

Available options:
af,
sq,
ar,
ar_EG,
ar_AE,
ar_LB,
ar_MA,
ar_QA,
az,
bn,
bn_IN,
bg,
ca,
zh_CN,
zh_HK,
zh_TW,
hr,
cs,
da,
nl,
nl_BE,
en,
en_GB,
en_US,
en_AE,
en_AU,
en_CA,
en_GH,
en_IE,
en_IN,
en_JM,
en_MY,
en_NZ,
en_QA,
en_SG,
en_UG,
en_ZA,
et,
fil,
fi,
fr,
fr_BE,
fr_CA,
fr_CH,
fr_CI,
fr_MA,
ka,
de,
de_AT,
de_CH,
el,
gu,
ha,
he,
hi,
hu,
id,
ga,
it,
ja,
kn,
kk,
rw_RW,
ko,
ky_KG,
lo,
lv,
lt,
mk,
ms,
ml,
mr,
nb,
fa,
pl,
pt_BR,
pt_PT,
pa,
ro,
ru,
sr,
si_LK,
sk,
sl,
es,
es_AR,
es_CL,
es_CO,
es_CR,
es_DO,
es_EC,
es_HN,
es_MX,
es_PA,
es_PE,
es_ES,
es_UY,
sw,
sv,
ta,
te,
th,
tr,
uk,
ur,
uz,
vi,
zu,
unknown
category
enum<string>[]

List of template categories, separated by commas.

Available options:
MARKETING,
AUTHENTICATION,
UTILITY
applicationId
string

Application ID used in outbound send requests. It is also returned in notification events. For more details, refer to the documentation.

entityId
string

Entity ID used in outbound send requests. It is also returned in notification events. For more details, refer to the documentation.

page
integer<int32>
default:0

Current page number.

size
integer<int32>
default:10

Number of items per page.

Required range: 1 <= x <= 100
orderBy
string
default:templateId,ASC

Sorting criteria in the format property,direction. Can be ascending (ASC) or descending (DESC). Available properties: category, language, name, status, templateId

Response

List of all filtered templates

results
(DefaultMarketingTemplateApiResponse · object | DefaultTemplateApiResponse · object | AuthenticationTemplateApiResponse · object)[]
required

The list of the results for this page.

The list of the results for this page.

paging
PageInfo · object
required

Contains information about the page.